cls
echo off

rem Required: ruff + pylint

set FLAG_RUFF=check --no-cache --select PLR6301,ANN001,ANN002,ANN003,ANN201,ANN202,ANN204,ANN205,ANN206 --preview
ruff %FLAG_RUFF% Application
ruff %FLAG_RUFF% LabIO

set FLAG_PYLINT=--output-format=colorized --disable C0103,C0115,C0116,C0209,C0301,C0303,C0325,R0801,R0902,R0903,R0912,R0913,R0914,R0915,R0917,R1716,R1730,R1731,W0201,W0246,W0707,W0718,W1202,W1203
pylint %FLAG_PYLINT% LabIO

pause
